JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const entityListResponse of client.v1Beta.customers.entities.list('id')) {
console.log(entityListResponse.id);
}import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
page = client.v1_beta.customers.entities.list(
id="id",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.V1Beta.Customers.Entities.List(
context.TODO(),
"id",
stigg.V1BetaCustomerEntityListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1beta.customers.entities.EntityListPage;
import io.stigg.models.v1beta.customers.entities.EntityListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
EntityListPage page = client.v1Beta().customers().entities().list("id");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
page = stigg.v1_beta.customers.entities.list("id")
puts(page)using System;
using Stigg.Client;
using Stigg.Client.Models.V1Beta.Customers.Entities;
StiggClient client = new();
EntityListParams parameters = new() { ID = "id" };
var page = await client.V1Beta.Customers.Entities.List(parameters);
await foreach (var item in page.Paginate())
{
Console.WriteLine(item);
}stigg v1-beta:customers:entities list \
--api-key 'My API Key' \
--id idcurl --request GET \
--url https://api.stigg.io/api/v1-beta/customers/{id}/entities \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1-beta/customers/{id}/entities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "user-7f3a0c1d",
"displayName": "Jane Doe",
"entityTypeId": "user",
"metadata": {
"email": "jane@acme.com",
"role": "admin"
},
"createdAt": "2026-05-18T00:00:00.000Z",
"updatedAt": "2026-05-18T00:00:00.000Z",
"archivedAt": null
}
],
"pagination": {
"next": "c9b0a382-5b7d-4d32-9f62-8c4e1a7b3d9f",
"prev": "a1d4e8f2-6c3b-4a9e-b5f7-2d8c9e0f1a3b"
}
}{
"message": "<string>",
"code": "BadUserInput",
"reason": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>",
"code": "IdentityForbidden"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Governance Entities
Get a list of entitys
Retrieves a paginated list of entities for the given customer.
GET
/
api
/
v1-beta
/
customers
/
{id}
/
entities
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const entityListResponse of client.v1Beta.customers.entities.list('id')) {
console.log(entityListResponse.id);
}import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
page = client.v1_beta.customers.entities.list(
id="id",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.V1Beta.Customers.Entities.List(
context.TODO(),
"id",
stigg.V1BetaCustomerEntityListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1beta.customers.entities.EntityListPage;
import io.stigg.models.v1beta.customers.entities.EntityListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
EntityListPage page = client.v1Beta().customers().entities().list("id");
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
page = stigg.v1_beta.customers.entities.list("id")
puts(page)using System;
using Stigg.Client;
using Stigg.Client.Models.V1Beta.Customers.Entities;
StiggClient client = new();
EntityListParams parameters = new() { ID = "id" };
var page = await client.V1Beta.Customers.Entities.List(parameters);
await foreach (var item in page.Paginate())
{
Console.WriteLine(item);
}stigg v1-beta:customers:entities list \
--api-key 'My API Key' \
--id idAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The customer identifier (owner) the entities belong to
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.@-]*$Query Parameters
Return items that come after this cursor
Return items that come before this cursor
Maximum number of items to return
Required range:
1 <= x <= 100Filter results to entities of a specific entity type, by the type's ID
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Whether to include archived entities. One of: true, false
Available options:
true, false Related topics
Get a list of entity typesGet a list of assignmentsGet a list of addonsGet a list of governance nodesGet a list of coupons